## orsa 0.7.0

=== debian/changelog ===
orsa (0.7.0-15) unstable; urgency=low

  * Switched to source format "3.0 (quilt)":
    - Transferred all changes to the upstream source code into patches in
      debian/patches/ and added an appropriate debian/README.source.
    - Do not use uu(en|de)code for debian/examples/chaotic_system.orsa.
  * debian/control:
    - Replaced the build dependency on "libreadline5-dev | libreadline-dev"
      with the now concrete libreadline-dev package. (closes: #553822)
    - Bumped Standards-Version from 3.8.2 to 3.8.3, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Fri, 06 Nov 2009 11:39:39 +0100

orsa (0.7.0-14) unstable; urgency=low

  * debian/rules: Update libtool files by running "libtoolize -cf" in the
    autoreconf-stamp target.
  * Adapted debian/copyright to DEP5. 
  * Bumped Standards-Version from 3.8.1 to 3.8.2, no changes required.
  * Removed debian/watch because the ORSA tarballs are not available on
    SourceForge anymore.

 -- Frank S. Thomas <fst@debian.org>  Sun, 28 Jun 2009 11:31:17 +0200

orsa (0.7.0-13) unstable; urgency=low

  * debian/control:
    - Updated Maintainer and Vcs-* fields since ORSA is now in Git and
      maintained under the umbrella of debian-science.
    - Added ${misc:Depends} to the packages' Depends field to appease Lintian.
    - Removed duplicate Section field in xorsa's binary package paragraph.
    - Bumped Standards-Version from 3.7.3 to 3.8.1, no changes required.
  * debian/rules: Added -DHAVE_INLINE to CPPFLAGS so that compiling ORSA does
    not fail with "gsl_vector_long_double.h:171: error: expected constructor,
    destructor, or type conversion before ‘long’".
  * debian/copyright: Rewrote it in the machine-interpretable format which is
    specified in http://wiki.debian.org/Proposals/CopyrightFormat.
  * CLN 1.2.0 dropped cln-config in favor of pkg-config, therefore:
    - Changed AM_PATH_CLN to PKG_CHECK_MODULES in configure.in.
    - Bumped build dependency on libcln-dev to ">= 1.2.0".

 -- Frank S. Thomas <fst@debian.org>  Thu, 12 Mar 2009 16:02:02 +0100

orsa (0.7.0-12) unstable; urgency=low

  * debian/manpages/xorsa.xml: Updated from DocBook 4.2 to 4.4, which is the
    latest version in etch.
  * debian/rules: Run autoreconf in the autoreconf-stamp target instead of in
    CDBS' post-patches target to avoid that configure runs twice, see #462382
    for details.
  * debian/control: Dropped the -1 revision from the libginac-dev build
    dependency to make backporting easier, thanks Lintian.
  * Use dh_lintian to install the Lintian override file for xorsa instead of
    doing it by hand. This requires cdbs (>= 0.4.52) and debhelper (>= 6.0.7).
  * debian/liborsa-doc.doc-base: Removed "Applications/" from Section to be
    compliant with the latest doc-base manual, refer to 2.3.3 for details.
  * Removed debian/control.in because CDBS' feature to automatically update
    debian/control was bareley used.

 -- Frank S. Thomas <fst@debian.org>  Mon, 28 Apr 2008 21:10:55 +0200

orsa (0.7.0-11) unstable; urgency=low

  * src/liborsa/orsa_{interaction_tree,file,file_jpl}.cc: Explicitly included
    the <cstring> header which is required for memcpy() and strlen() function
    calls. This fixes a FTBFS with GCC 4.3. Thanks to Martin Michlmayr for the
    bug report. (closes: #456046)

 -- Frank S. Thomas <fst@debian.org>  Thu, 13 Dec 2007 09:05:02 +0100

orsa (0.7.0-10) unstable; urgency=low

  * debian/control.in:
    - Removed XS- prefix from Vcs fields because they are now officially
      supported by dpkg.
    - Moved Homepage pseudo field in the long description to the source stanza
      because this is now a propper debian/control field supported by dpkg.
    - Bumped Standards-Version from 3.7.2 to 3.7.3. This required to change
      the section in debian/liborsa-doc.doc-base, see below.
    - Changed my maintainer address to fst@debian.org.
  * debian/rules: Remove empty files and directories generated by doxygen from
    the liborsa-doc package instead of overriding lintian warnings.
  * debian/liborsa-doc.doc-base: The section should follow Debian Menu's
    sections, therefore changed it to "Applications/Science/Astronomy".

 -- Frank S. Thomas <fst@debian.org>  Thu, 06 Dec 2007 18:27:57 +0100

orsa (0.7.0-9) unstable; urgency=low

  * debian/xorsa.menu: Changed section for the new menu hierarchy from
    "Apps/Science" to "Applications/Science/Astronomy".
  * debian/control.in:
    - Added XS-Vcs-{Svn,Browser} fields to the source stanza.
    - Moved myself to Uploaders and set the Debian Scientific Computing Team
      <pkg-scicomp-devel@lists.alioth.debian.org> as Maintainer.
  * src/libxorsa/xorsa_wrapper.cc: Moved the (v)snprintf() functions from
    namespace std to the global namespace to fix the build failures on arm,
    mips and mipsel.
  * GiNaC 1.3.7-1 dropped ginac-config in favor of pkg-config. To migrate from
    ginac-config to pkg-config in ORSA, the following was changed:
    - Exchanged AM_PATH_GINAC with PKG_CHECK_MODULES in configure.in.
    - Build-Depend on pkg-config, libginac-dev (>= 1.3.7-1), automake1.9,
      autoconf and libtool. The latter three are needed for autoreconf which
      we call in debian/rules to regenerate the configure script.
  * debian/overrides/liborsa-doc: Added lintian override for three zero byte
    files which were generated by doxygen.

 -- Frank S. Thomas <frank@thomas-alfeld.de>  Thu, 30 Aug 2007 14:31:09 +0200

orsa (0.7.0-8) unstable; urgency=low

  * Added missing #includes to fix a FTBFS with GCC 4.3. Thanks to Martin
    Michlmayr <tbm@cyrius.com> for the patch. (closes: #420919)
  * debian/copyright: Added copyright note about the Debian packaging.
  * Bumped debhelper compatibility level from 4 to 5 since this is the
    current recommended level.
  * debian/control.in: Removed "dpkg-dev (>= 1.13.19)" from Build-Depends
    because a greater version than 1.13.19 is in unstable, testing and stable
    and hence the B-D is not needed any more.

