=== debian/control ===
Source: orsa
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Frank S. Thomas <fst@debian.org>
Standards-Version: 3.8.3
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 6.0.7), docbook2x, docbook-xml,
 automake1.9, autoconf, libtool, pkg-config, libreadline-dev,
 libqt3-mt-dev (>= 3:3.3), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev |
 libglu-dev, libgsl0-dev (>= 1.5), fftw-dev (>= 2.1), libcln-dev (>= 1.2.0),
 libginac-dev (>= 1.3.7), libgmp3-dev
Build-Depends-Indep: doxygen, graphviz
Vcs-Git: git://git.debian.org/git/debian-science/packages/orsa.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/orsa.git
Homepage: http://orsa.sourceforge.net/

Package: xorsa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for Celestial Mechanics investigations
 Orbit Reconstruction, Simulation and Analysis (ORSA) is a framework
 for Celestial Mechanics investigations. The main goals of the project
 are the implementation of state of the art orbit integration
 algorithms, with concerns on accuracy and performance, and the
 development of a number of analysis tools.
 .
 This package contains xorsa, the main graphical application  provided
 by the ORSA project. It is an interactive tool for scientific grade
 Celestial Mechanics computations. Asteroids, comets, artificial
 satellites, Solar, and extra-Solar planetary systems can be
 accurately reproduced, simulated and analyzed.

Package: liborsa0c2a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liborsa0
Replaces: liborsa0
Description: ORSA framework library
 Orbit Reconstruction, Simulation and Analysis (ORSA) is a framework
 for Celestial Mechanics investigations. The main goals of the project
 are the implementation of state of the art orbit integration
 algorithms, with concerns on accuracy and performance, and the
 development of a number of analysis tools.
 .
 This package provides the shared library required to run programs
 compiled with the ORSA library. To compile your own programs you also
 need to install the liborsa0-dev package. 

Package: liborsa0-dev
Section: libdevel
Architecture: any
Depends: liborsa0c2a (= ${binary:Version}), libgsl0-dev (>= 1.5),
 fftw-dev (>= 2.1), libcln-dev (>= 1.1.6), libginac-dev (>= 1.2.0),
 libgmp3-dev, ${misc:Depends}
Suggests: liborsa-doc (= ${source:Version})
Description: ORSA framework library (development files)
 Orbit Reconstruction, Simulation and Analysis (ORSA) is a framework
 for Celestial Mechanics investigations. The main goals of the project
 are the implementation of state of the art orbit integration
 algorithms, with concerns on accuracy and performance, and the
 development of a number of analysis tools.
 . 
 This package contains header files, static libraries and symbolic
 links that developers using the ORSA library will need.

Package: liborsa-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: ORSA framework library documentation
 Orbit Reconstruction, Simulation and Analysis (ORSA) is a framework
 for Celestial Mechanics investigations. The main goals of the project
 are the implementation of state of the art orbit integration
 algorithms, with concerns on accuracy and performance, and the
 development of a number of analysis tools.
 .
 This package contains the API documentation for the ORSA library.
